%define game_name beneath-a-steel-sky
%define name scummvm-%game_name
%define version 1.2
%define distsuffix plf
%define release %mkrel 2
%define scummvmdir %{_datadir}/scummvm/

Summary: A adventure game using scummvm
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/scummvm/bass-cd-%version.tar.bz2
Source1: bass-48.png
Source2: bass-32.png
Source3: bass-16.png
License: Free to redistribute
Url:     http://scummvm.org
Group:      Games/Adventure
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: unzip
Requires: scummvm
BuildArch: noarch

%description
A science-fiction thriller set in a bleak post-apocalyptic vision
of the future, Beneath a Steel Sky revolves around "Union City",
where selfishness, rivalry, and corruption by its citizens
seems to be all too common, those who can afford it live
underground, away from the pollution and social problems
which are plaguing the city. 

You take on the role of Robert Foster, an outcast of sorts
from the city since a boy who was raised in a remote environment
outside of Union City simply termed "the gap". Robert's mother
took him away from Union City as a child on their way to "Hobart"
but the helicopter crashed on its way, unfortunately Robert's 
mother dies, but he survives and is left to be raised by a 
local tribe from the gap. 

Years later, Union City security drops by and abducts
Robert, killing his tribe in the process; upon reaching
the city the helicopter taking him there crashes with
him escaping, high upon a tower block in the middle of the
city he sets out to discover the truth about his past,
and to seek vengeance for the killing of his tribe.

This game was released by Revolution studio to help the scummvm
project. However, this is not a free game ( free as freespeech ), even
if source code can be seen. That's why it belong to the plf repository.

%prep
%setup -q -n bass-cd-%version
%build

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{scummvmdir}/%game_name
cp sky* $RPM_BUILD_ROOT/%{scummvmdir}/%game_name

mkdir -p %{buildroot}%{_menudir}

cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/scummvm -p%{scummvmdir}/%game_name  sky" \
        needs="x11" \
        section="More Applications/Games/Adventure" \
        title="Beneath a steel sky"\
        longtitle="%{summary}" icon="%name.png" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Beneath a steel sky
Comment=%summary
Exec=%_gamesbindir/scummvm -p%{scummvmdir}/%game_name  sky
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Adventure;Game;AdventureGame;
EOF
install -m 644 -D %SOURCE1 %buildroot%_liconsdir/%name.png
install -m 644 -D %SOURCE2 %buildroot%_iconsdir/%name.png
install -m 644 -D %SOURCE3 %buildroot%_miconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme.txt
%{scummvmdir}/%{game_name}
%{_menudir}/%{name}
%_datadir/applications/mandriva-*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png


%changelog
* Fri Aug 18 2006 Götz Waschk <goetz@zarb.org> 1.2-2plf2007.0
- add xdg menu
- add an icon

* Wed Nov  2 2005 Götz Waschk <goetz@zarb.org> 1.2-1plf
- source URL
- new version

* Sat Oct 25 2003 Michael Scherer <scherer.michael@free.fr> 1.0-1plf
- initial spec
- menu file
